<div class="alert alert-danger" role="alert" *ngIf="error">
  {{ error }}
</div>

<div class="alert alert-success" role="alert" *ngIf="success">
  {{ success }}
</div>
<div *ngIf="cards.length == 0">You have no cards</div>
<div *ngIf="addCard">
  <form>
    <div class="form-group">
      <label for="cc-number" class="control-label mb-1">Card number</label>
      <input
        #cardNumber
        id="cc-number"
        type="number"
        class="form-control"
        required
        autocomplete="off"
      />
    </div>
    <div class="row">
      <div class="col-6">
        <div class="form-group">
          <label for="cc-exp" class="control-label mb-1">Expiration</label>
          <input
            #expiration
            id="cc-exp"
            type="date"
            class="form-control"
            required
            placeholder="MM / YY"
          />
        </div>
      </div>
      <div class="col-6">
        <label for="x_card_code" class="control-label mb-1">CVV</label>
        <div class="input-group">
          <input
            #ccv
            id="x_card_code"
            type="number"
            class="form-control"
            max="999"
            required
            autocomplete="off"
          />
          <div class="input-group-append">
            <div class="input-group-text">
              <span
                class="fa fa-question-circle fa-lg"
                data-toggle="popover"
                data-container="body"
                data-html="true"
                data-title="CVV"
                data-trigger="hover"
              ></span>
            </div>
          </div>
        </div>
      </div>
    </div>
    <button
      *ngIf="addCard"
      class="btn btn-info"
      (click)="submitCard(cardNumber.value, expiration.value, ccv.value)"
    >
      Submit
    </button>
    &nbsp;
    <button *ngIf="addCard" class="btn btn-warning" (click)="disableAddCard()">
      Cancel
    </button>
  </form>
</div>
<button *ngIf="!addCard" class="btn btn-primary" (click)="enableAddCard()">
  Add Card
</button>

<br />
<br />
<br />
<table
  class="table table-hover table-dark table-stripped"
  *ngIf="cards.length > 0"
>
  <thead>
    <tr>
      <th>Number</th>
      <th>Expiry Date</th>
      <th>Status</th>
      <th>Actions</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let card of cards">
      <td>{{ card.cardNumber }}</td>
      <td>{{ card.expiryDate | date }}</td>

      <td *ngIf="!card.banned">
        <p *ngIf="card.active" class="text-success">
          <i class="fa fa-check" aria-hidden="true"></i> Active
        </p>
        <p *ngIf="!card.active" class="text-danger">
          <i class="fa fa-times" aria-hidden="true"></i> Inactive
        </p>
      </td>
      <td *ngIf="!card.banned">
        <button
          *ngIf="card.active"
          class="btn btn-outline-danger"
          (click)="deactivateCard(card)"
        >
          Deactivate
        </button>

        <button
          *ngIf="!card.active"
          class="btn btn-outline-success"
          (click)="activateCard(card)"
        >
          Activate
        </button>
      </td>
      <td colspan="2" *ngIf="card.banned">
        <p class="text-danger">This card has been banned by the admin</p>
      </td>
    </tr>
  </tbody>
</table>
